<template>
  <div class="app__wrapper-container">
    <div
      class="flex flex-row justify-center items-center py-2 px-4 bg-[color:var(--background1)] text-base font-bold playful-promotion-header"
    >
      {{ $t("promotion") }}
    </div>
    <div class="overflow-auto playfull-promotion-container auto-height-wrapper pb-14">
      <promotion-m-promotion-component />
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "Promotion",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    return {
      themeProperties,
    };
  },
});
</script>
<style lang="scss" scoped>
.auto-height-wrapper {
  @apply h-[calc(100vh-148px)];
}
[layout="global"] .auto-height-wrapper {
  @apply h-[calc(100vh-188px)];
}
</style>
